logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

StopAutoMix

POST

https://rtc-api.zego.im/

Call this API to stop the audio automatic stream mixing task. For related callbacks, please refer to Stream Mixing End Callback.

Call frequency limit
100 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [StopAutoMix]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=StopAutoMix

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

Body

required
    TaskId stringrequired

    Stream mixing task ID, which needs to be consistent with the TaskId passed in when starting stream mixing.

    RoomId stringrequired

    Room ID.

    Sequence int

    Sequence number of the stream mixing task, used to ensure sequence, parameter modification of the same task needs to ensure the sequence number increments.

    UserId string

    User ID. When enabling stream mixing task ownership, stopping the stream mixing task of a certain TaskId must input the UserId specified when starting the stream mixing task.

Responses

Success
Schema
    Code int

    The following only lists the return codes related to interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionHandling Suggestion
    110200001Failed.Please try again.
    110200002Input parameter error.Please refer to Message information for processing.
    110200003Authentication failed.Please confirm whether the authentication information is correct or expired, for details, please refer to "Signature Mechanism" in Calling Method.
    110200004Failed to parse input parameters.Please check if the stream mixing parameters are correct.
    Message string

    Operation result description.

    RequestId string

    Request ID.

Previous

StartAutoMix

Next

StartCloudTranscode

On this page

Back to top